=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2011-09-09 13:30:12 +0000
+++ bzrlib/__init__.py	2011-10-27 13:20:43 +0000
@@ -52,7 +52,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 4, 2, 'dev', 0)
+version_info = (2, 4, 2, 'final', 0)
 
 # API compatibility version
 api_minimum_version = (2, 4, 0)

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-10-26 18:04:02 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-10-27 13:20:43 +0000
@@ -8,30 +8,35 @@
 bzr 2.4.2
 #########
 
-:2.4.2: NOT RELEASED YET
+:2.4.2: 2011-10-27
+
+This is a bugfix release. Most of the bugs dealt with portability
+issues. Upgrading is recommended for all users of earlier 2.4 releases.
 
 External Compatibility Breaks
 *****************************
 
-.. These may require users to change the way they use Bazaar.
+None.
 
 New Features
 ************
 
-.. New commands, options, etc that users may wish to try out.
+None.
 
 Improvements
 ************
 
-.. Improvements to existing commands, especially improved performance 
-   or memory usage, or better results.
-
 * Fixed a bug where ``bzr tags -r x..y`` loaded the branch history once for
   every revision in the range; it's now much faster. (Vincent Ladeuil, #857335)
 
 Bug Fixes
 *********
 
+* Fixed an infinite loop when creating a repo at the root of the filesystem, 
+  i.e. "/", due to posixpath.normpath() not collapsing 2 leading slashes into 
+  one, thus respecting the POSIX standard, but making relpath() loop infinitely.
+  (Florian Vichot, #861008)
+
 * Fixed loading of external merge tools from config to properly decode
   command-lines which contain embedded quotes. (Gordon Tyler, #828803)
 
@@ -46,35 +51,25 @@
   avoids raising a spurious MemoryError on certain platforms such as AIX.
   (John Arbash Meinel, #856731)
   
-* Fixed an infinite loop when creating a repo at the root of the filesystem, 
-  i.e. "/", due to posixpath.normpath() not collapsing 2 leading slashes into 
-  one, thus respecting the POSIX standard, but making relpath() loop infinitely.
-  (Florian Vichot, #861008)
-
 Documentation
 *************
 
-.. Improved or updated documentation.
+* Corrected documentation for ``bzr serve`` in the Admin Guide.
+  (Morten Bøgeskov, Martin Pool, #832576)
 
 API Changes
 ***********
 
-.. Changes that may require updates in plugins or other code that uses
-   bzrlib.
+None.
 
 Internals
 *********
 
-.. Major internal changes, unlikely to be visible to users or plugin 
-   developers, but interesting for bzr developers.
+No changes.
 
 Testing
 *******
 
-.. Fixes and changes that are only relevant to bzr's test framework and 
-   suite.  This can include new facilities for writing tests, fixes to 
-   spurious test failures and changes to the way things should be tested.
-
 * Accept both old and new style testtools output in selftest tests.
   (Jelmer Vernooij, Martin Packman, #815423)
 
@@ -142,9 +137,6 @@
 * Corrected documentation for BZR_PROGRESS_BAR. 
   (Dennis Benzinger, #735417)
 
-* Corrected documentation for ``bzr serve`` in the Admin Guide.
-  (Morten Bøgeskov, Martin Pool, #832576)
-
 API Changes
 ***********
 

=== modified file 'doc/en/whats-new/whats-new-in-2.4.txt'
--- doc/en/whats-new/whats-new-in-2.4.txt	2011-09-08 16:16:27 +0000
+++ doc/en/whats-new/whats-new-in-2.4.txt	2011-10-27 13:20:43 +0000
@@ -24,6 +24,10 @@
 and 2.3.5 versions that weren't included in 2.4.0 and fixes some bugs on its
 own.
 
+Bazaar 2.4.2 includes all the fixes in the un-released 2.0.7, 2.1.5, 2.2.6
+and 2.3.5 versions that weren't included in 2.4.1 and fixes some bugs on its
+own.
+
 
 Dropping Python2.4 and Python2.5 support
 ****************************************

